U4431 M-PHY Analyzer

U4431A MIPI M-PHY Protocol Analyzer

Online Help

Version 05.80.0000

Copyright © 2014 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices

March 2014

Table of Contents

Introduction
Protocols Supported
Features
Related Documents
Configuring U4431A Connection Settings
Switching M-PHY Protocols
Capturing M-PHY Data
Before you Start
Supported Acquisition Probes
Configuring Data Capture and Sync Settings
Setting up Triggers
Trigger Overview
Trigger Settings
To set up simple trigger
To set up advanced trigger
Trigger based on Packet Types
Starting and Stopping the Data Capture
Viewing and Analyzing Captured Data
Overview
Viewing M-PHY Packet Data Using the Protocol Viewer Display
Viewing Packet Data Specific to a Protocol
Viewing Preempted Data
Identifying HS and PWM Data Transmissions
Viewing the Decoded Payload for a Packet
Viewing the Byte-wise Transmission of M-PHY Data
Viewing the Captured M-PHY Traffic Statistics
Extracting Images from the Packet Data
Viewing Packet and Raw Signal Data using the Waveform Viewer
Viewing the Lane-wise Transmission of Raw Data
Viewing Deskewed and Descrambled Data
Tracking and Viewing Link States in Captured Data
Viewing Time Synchronized Protocol Data in Display Windows


Introduction

The U4431A MIPI M-PHY Analyzer module is an acquisition module that captures and decodes data as per MIPI M-PHY standards including UniPro, UFS, SSIC, and CSI-3. Using this module, you can get insight into the M-PHY protocol stack.

It allows you to test and troubleshoot the data link, network, transport, and application layers of the M-PHY protocol stack.

You can use multiple U4431A modules in a chassis to test and debug multi-bus systems. You can also time-correlate M-PHY busses with MIPI D-PHY CSI-2 and DSI-1, PCIe, DDR and HDMI busses by using multiple Agilent AXIe based modules in a time-correlated setup.

For the display and analysis of the captured data, the U4431A module presents the data in a Protocol Viewer, Waveform Viewer, and a Listing Data View.

This module needs to be installed in an Agilent AXIe chassis (for example, the M9502A 2 slot chassis). When a controller PC is connected to the AXIe chassis via an external PCIe / USB interface and a cable, the Agilent Logic and Protocol Analyzer application (running on the controller PC) lets you configure, control, and use the U4431A module.

See Also

  • Related Documents


Protocols Supported

The U4431A module currently supports capture and decode for the following protocols:

  • M-PHY 2.0
  • Unified Protocol (UniPro) 1.41.00 and 1.6
  • Universal Flash Storage (UFS) v1.1
  • SSIC
  • CSI-3

By default, the base protocol supported on the U4431A module is M-PHY. As and when needed, you can add other supported protocol capabilities to your U4431A module by purchasing and installing appropriate U4431A licenses. Refer to the U4431A module data sheet (part number 5991-2544EN.pdf) available at www.agilent.com/find/mphy_analyzer to know about various licensed options available for the module.

You can view which licenses are currently active/in use on your U4431A module and which licensed options are installed/available for use. For this, you can use the Agilent Notification Center [image] icon. This icon is displayed as a green dot on the taskbar (lower, right-hand corner of your desktop) if the Agilent Logic and Protocol Analyzer GUI is installed. If the GUI is open and running, the Notification Center icon changes to [image].

  1. Right-click the Notification Center icon and select Show Instrument Details from the displayed menu.
  2. In the Instrument Details dialog box, expand the Module: U4431A Protocol Analyzer node.
  3. Note the currently active and available licensed options.


Features

A U4431A module:

  • Can acquire protocol level data as well as raw signal level data.

  • Provides upto 16 GB of memory that you can divide and allocate for capturing raw signal level and protocol level data.

  • Supports preempting of UniPro data.

  • Supports noise filtering for PWM gears.

  • Syncs up to the DUT's link configurations based on the settings that you define.

  • Can track DUT's link configurations automatically.

  • Supports descrambling of scrambled data for SSIC data acquisition.

  • Provides a number of viewers to view the acquired data.

  • Allows you to set the following attributes independently for the Transmit and Receive sublinks.

    • Link width

      • x1, x2, x3 and x4 for UniPro/UFS/CSI-3

      • x1, x2, and x4 for SSIC (Same link width is applicable for both sublinks in case of SSIC.)

    • Burst mode - PWM or HS Gear per sublink.

      • PWM Gear 1 to 7 and HS Gear 1, 2, and 3 for UniPro/UFS/CSI-3

      • PWM Gear 1 and HS Gear 1, 2, and 3 for SSIC

  • Sublink based enabling and disabling of raw signal level and protocol level (UniPro, CSI-3, SSIC, and UFS) data capture.

  • Sublink based division and allocation of memory between raw and protocol level data acquisition.

  • Allows you to set the following attributes at the link level (applicable for both sublinks of the link).

    • Data rate series applicable for the link in the High Speed (HS-Mode).

    • Link Synchronization

    • HS Gear profile (only for SSIC). Same HS Gear is used for both sublinks in case of bidirectional link configuration.

    • Link width profile (only for SSIC). Same link width is used for both sublinks in case of bidirectional link configuration.

    • PWM Filtering (for UniPro)


Related Documents

Besides using this U4431A online help, you can also access the following documents that provide related information about the U4431A module.

  • MIPI M-PHY Protocol Analyzer Hardware and Probing Guide - This guide provides information on the acquisition probing options available for use with the U4431A module. This guide is available on www.agilent.com/find/mphy_analyzer and is also installed with the Logic and Protocol Analyzer software at <logic Analyzer Install location>\help\pdfs. It describes how to make probing connections from the DUT to the Agilent U4431A module for various probing situations.

  • AXIe Based Logic Analysis and Protocol Test Modules Installation Guide - This guide provides information on the Agilent AXIe chassis, the U4431A module, how to set up the chassis, module, and host computer and how to obtain and install the associated software components. This guide is available on www.agilent.com/find/mphy_analyzer and is also installed with the Logic and Protocol Analyzer software at <logic Analyzer Install location>\help\pdfs.

  • MIPI M-PHY Protocol Analyzer User Guide - The PDF version of the contents of this online help. This user guide describes how to configure and use the U4431A module to capture M-PHY data. This guide is available on www.agilent.com/find/mphy_analyzer and is also installed with the Logic and Protocol Analyzer software at <logic Analyzer Install location>\help\pdfs.

  • Context-sensitive help - A context-sensitive HTML help page is available with each window and dialog box of the U4431A module on clicking the Help button displayed within the GUI element.


Configuring U4431A Connection Settings

By default, you can set up a single direction (Tx or Rx) link between the U4431A module and DUT for data capture. If you have the Bidirectional (Tx and Rx) license installed, you can set up a dual-simplex link for capturing Tx as well as Rx data. The module allows you to use one or more unidirectional lanes for each direction. You can choose different number of lanes and lane properties for each direction except in case of an SSIC setup in which same link width is used for both sublinks.

You set up this link by configuring the module's connection setup in the Agilent Logic and Protocol Analyzer application after completing the hardware setup for the U4431A module in the AXIe chassis and connecting it to the DUT using appropriate probing hardware. You use the Connection Setup tab of the U4431A module's Setup dialog to configure its connection setup.

The connection setup details that you specify in this tab tells the Logic and Protocol Analyzer software how the U4431A module is connected to the DUT for data capture.

To configure U4431A connection setup

  1. In the Logic and Protocol Analyzer GUI, access the Setup dialog box of the U4421A module by clicking Setup > Setup from the GUI's menubar.

The Connection Setup tab is displayed in the Setup dialog box.

  2. Configure connection settings in this tab. The tab has the following fields.

Field

Description

Module - This group box displays read-only and editable fields for the U4431A module hardware.

Chassis

Read-only field that displays the AXIe chassis number in which you installed the U4431A hardware module.

Slot

Read-only field that displays the slot number of the AXIe chassis in which you installed the U4431A hardware module.

Link

Displays the type of link between the U4431A module and DUT based on the protocol family that you selected at the time of starting up the Logic and Protocol Analyzer GUI session.

Link Mode

Currently, U4431A supports the following connection mode.

  • Analyzer - In this mode, the U4431A module can only be used as an analyzer to passively probe and acquire data from DUTs. This mode does not allow the usage of the U4431A module as an Exerciser to stimulate the DUT. In this mode, U4431A can acquire both protocol level and raw signal level data simultaneously.

Connection

Allows you to select the type of connection you want to set up between the U4431A module and DUT for data capture. The following two connection options are available.

  • One Sublink - This is the default option. It allows you to set up a single unidirectional link (Tx or Rx) between the U4431A module and DUT.
  • Both Sublinks - This is a licensed option. It allows you to set up a bidirectional link (Tx as well as Rx) between the U4431A module and DUT. When you select this option, you get options in the Link Naming and Lane Setup section to set up a Tx and an Rx sublink independently of each other.

License

Displays the type of U4431A license(s) installed on the system.

Link Naming and Lane Setup

Name

Displays the name of the M-PHY link that you set up. For a bidirectional link, the names of both Tx and Rx sublinks are displayed.

If needed, you can rename these links.

Pods

The U4431A module has two pods labeled as Pod 1 and Pod 2 on its front panel. These pods are used to connect the module to the DUT using probe cables.

For a single sublink (Tx or Rx), Pod 1 is used and displayed in this field.

For Both sublinks (Tx and Rx), Pod 1 and Pod 2 are used (one for each direction).

Ensure that you set up the probing hardware configuration appropriately matching the pod used and displayed for the link.

Sublink Width

Select the maximum link width capability that you want to define for the sublink (Tx or Rx). For instance, if you select x4 in this listbox, then you can set x1 to x4 as the initial or current link width of this sublink in the Analyzer Setup tab.

This listbox provides options to select a link width from x1 to x4 individually for each sublink. However, some of the options in this listbox are not available if you do not have the appropriate link width license installed. By default, only x1 is available as the link width. Other options are licensed.

NOTES:

  • Ensure that you make appropriate hardware and probing setup for the U4431A module to match the link width capability you want to set in the Sublink Width field.

  • For a bidirectional SSIC setup, the same link width is applicable for both sublinks.

Probe Type

Detects and displays the probing option that you have used in the U4431A hardware setup to probe the DUT.

The following probing options are available for use with the U4431A module:

  • U4433A Differential ZIF Flying Lead probe
  • U4432A SMA probe

For detailed information on probing, refer to the U4431A MIPI M-PHY Analyzer - Hardware and Probing Guide. The guide is available on www.agilent.com/find/mphy_analyzer and also installed with the Agilent Logic and Protocol Analyzer software.

Lane Order

The Lane Order option lets you perform the ordering of the physical probe channels of the U4431A module with the logical data lanes probed by each of these channels. You can either retain the Default lane ordering which means channel 0 of the module maps to logical lane 0 and so on. If you want to change this default mapping of channels with logical lanes, then select the Custom option from Lane Order and click Specify to display the Custom Lane Ordering dialog box. In this dialog box, select the module's channel with which you want to map a target logical lane.

You can also set the polarity inversion property for each data lane using the Custom Lane Ordering dialog box. The polarity of a data lane is not inverted when the positive and negative sides of the probe channel's differential pair are connected to the positive and negative sides of the signal in the DUT.

State Activity

Displays the current status of the four data lanes LEDs located on the front panel of the U4431A module. The following color coding is used for these LEDs to indicate the state activity on the associated lanes.

  • Red - This means that the lane is in the ultra-low power state (HIBERN8) without loss of configuration information.
  • Blinking Red - This means that the lane state is unknown. This can happen when the U4431A module is in the process of syncing up to the current link configurations.
  • Green - This means that the lane is transmitting HS-BURST in HS-MODE.
  • Blinking Green - This means that the lane is in the STALL state - the power saving state (periods of inactivity) when operating in HS-MODE.
  • Yellow - This means that the lane is transmitting LS-BURST in Low Speed-MODE.
  • Blinking Yellow - This means that the lane is in the SLEEP state - the power saving state (periods of inactivity) when operating in Low Speed-MODE.
  • Off - This means that the lane is not configured/available. Based on the link width that you select in the U4431 Connection Setup tab of the Logic and Protocol Analyzer GUI, the number of lanes on the U4431A module are used. The LEDs of only the used lanes glow. For example, if you are using the x2 link width, then the LEDs of only two lanes being used will glow and the rest of the LEDs will be off.

You can also refer to the LED Color Legend section at the bottom of the tab to know what each LED color represents.

LED Color Legend

This section displays a description for the various colors of the clock and data lanes LEDs on the front panel of the U4431A module. Each LED color represents a specific state activity on the associated lane. Refer to the State Activity field to know more about the state activity on lanes.


Switching M-phy Protocols

U4431A MIPI M-PHY Protocol Analyzer Online Help

Switching M-phy Protocols

If you have a single (Unipro, Unipro+UFS, Unipro+CSI-3, or SSIC) protocol license for the U4431A module, then by default, the Logic and Protocol Analyzer GUI is started using that licensed protocol option when you launch this GUI.

If you have purchased multiple protocol licenses for the U4431A module, then the Logic and Protocol Analyzer GUI is started using the currently selected protocol option. In situations when multiple protocol licenses are available, you can choose the protocol license option with which you want to launch the Logic and Protocol Analyzer GUI. This feature allows you to switch among the Unipro, Unipro+UFS, Unipro+CSI-3, and SSIC analysis when using the U4431A module with these multiple protocol license options.

You use the U4421A-U4431A-Protocol-Selector.bat script to select Unipro, Unipro+UFS, Unipro+CSI-3, or SSIC protocol when accessing the Logic and Protocol Analyzer GUI.

The U4421A-U4431A-Protocol-Selector.bat script puts any active Logic and Protocol Analyzer GUI sessions to the offline mode during protocol change. Therefore, you must stop any ongoing analysis work and save your captured data/configurations before you start using this script.

To select M-Phy protocols (Unipro, UFS, CSI-3, or SSIC)

1. Double-click the U4421A-U4431A-Protocol-Selector.bat script to launch it. The script is installed at the following location when you install the Agilent Logic and Protocol Analyzer software (version 5.80.0000 or later).

C:\Program Files (x86)\Agilent Technologies\Logic Analyzer\Contributed Files (for 64 bit OS installs)

or

C:\Program Files\Agilent Technologies\Logic Analyzer\Contributed Files (for 32 bit OS installs)

2. The script starts running in the Command window with warning messages displayed. Press any key to continue.

3. Specify the slot number in which you installed the U4431A module for which you want to select the protocol. Press <Enter>.

If an invalid slot is used or an input other than the number 1 to 5 is entered (for example- any string), the script will run as usual, but the background operation that the script performs will not succeed. The script will crash in case a string with a space is entered.

4. Specify the MIPI M-PHY protocol that you want to select for the module. Specify M-PHYy Unipro to select the Unipro protocol, M-PHY Unipro UFS to select the Unipro+UFS protocol, M-PHY Unipro CSI-3 to select the Unipro+CSI-3 protocol, and M-PHY SSIC to select the SSIC protocol. Press <Enter>.

UFS and CSI-3 protocol licenses are available in combination with the Unipro license.

The CSI and DSI options are available for the U4421A MIPI D-PHY module and these options will be ignored for the U4431A module.

5. The User Account Control dialog box is displayed. Click Yes to proceed.

The script runs to perform the protocol change as per your selections. The protocol change is successfully completed if you have specified the correct slot number for the U4431A module and appropriate license is available for the selected protocol.

If an invalid option is entered (other than the number 1 to 7), the script fails to execute and keeps on prompting until a valid choice is made.

6. When the protocol change completes, you need to bring any open offline sessions of the Logic and Protocol Analyzer GUI to the Online mode by clicking File > Go online to Local Host option in the GUI's menubar. If there are no existing open sessions of the GUI, launch the GUI in the Online mode.

The Logic and Protocol Analyzer GUI should now launch with the selected protocol.

To verify if protocol change is successful

  • Using the agNotificationCenter icon

1. Double-click the agNotificationCenter icon displayed in Window's taskbar.

2. In the Instrument Details dialog box, expand the U4431A module option for which you changed the protocol.

The protocol currently selected for the module is displayed.

  • Using the Logic and Protocol Analyzer GUI

1. Launch the Logic and Protocol Analyzer GUI in the Online mode.

2. Click Setup > Setup from the GUI's menubar to access the Setup dialog box of the U4431A module for which you changed the protocol.

3. In the Connection Setup tab, the currently selected protocol (Unipro, UFS, CSI-3, or SSIC) for the module is displayed.


Capturing M-PHY Data

This help section provides information on how to use the U4431A module as an analyzer to capture M-PHY data.


Before you Start

Before you start capturing data, ensure that the following tasks are performed.

  • You have connected the U4431A module to the DUT using the appropriate acquisition probe in the required configurations.

  • You have installed the Agilent Logic and Protocol Analyzer GUI, version 5.80.0000 or higher.

  • You have configured the U4431A module's connection setup in the Agilent Logic and Protocol Analyzer GUI.

  • You have specified the sync related settings in the Analyzer Setup tab. The U4431A module uses these settings to sync up to the DUT's link configurations before data capture.


Supported Acquisition Probes

The following acquisition probes are supported for the U4431A module.

  • U4433A Differential ZIF Flying Lead probe - Can probe individual signals from multiple randomly located points on the target system.

  • U4432A SMA probe - Provides coaxial SMA connections for each of the lines of the M-PHY bus.

For detailed probing information and how to make connections with the U4431A module and DUT, refer to the U4431A MIPI M-PHY Analyzer Hardware and Probing Guide. The guide is available on www.agilent.com/find/mphy_analyzer and also installed with the Agilent Logic and Protocol Analyzer software.


Configuring Data Capture Settings

You can configure the data capture settings at the link and sublink(s) levels using the Analyzer Setup tab in the Setup dialog box of the Logic And Protocol Analyzer GUI.

The U4431A module performs the sync process before it starts data capture to sync up to the DUT's link configurations such as link width, burst mode, link speed, and HS rate series. To enable the U4431A module to perform this sync process, you define link/sublink settings that the module should use during this sync process and also instruct the U4431A module on how it should perform this sync process. You use the Analyzer Setup tab to define these settings.

The U4431A module does not start capturing data until it completes the sync process.

The following screen displays the capture settings fields available for a bidirectional UniPro/UFS setup.

The Analyzer Setup tab has the following fields that you can modify to configure the capture and sync related settings.

Some fields are license-specific and are displayed only when an appropriate U4431A license is installed..

Field

Description

Link Setup

Enable Preemption Support

(Applicable only for a UniPro setup)

Allows you to enable or disable the preemption support for the link. The preemption support is based on the UniPro specifications. Therefore, this option is applicable and visible only when you install the UniPro specific license on the system.

When this support is enabled, the U4431A module identifies and supports preemption in the captured data, for instance, preemption for higher priority frames into lower priority data frames. For preemption, U4431A supports the nesting limited to level 1.

With preemption enabled, you can view the preempted frames in the captured trace displayed in the Protocol Viewer.

Data on link is scrambled

(Applicable only for an SSIC setup)

Allows you to instruct the U4431A module on whether or not the data on the link is scrambled. Scrambling is based on the SSIC specifications. Therefore, this option is applicable and visible only when you install the SSIC specific license on the system.

If you select this checkbox, the U4431A module expect scrambled data on the link and enables descrambling of the scrambled data.

If you do not select this checkbox, the U4431A module does not expect scrambled data and therefore descrambling is not enabled and the data is presented as is.

You can view the descrambled data in the captured trace using the Waveform Viewer.

To know how to view scrambled data, refer to the topic Viewing Deskewed and Descrambled Data.

PWM Filtering Level

Allows you to instruct the U4431A module on whether or not it should implement the noise filtering when capturing PWM signals which are more prone to noise. This listbox also allows you to set the amount of noise filtering to be applied for PWM gears based on the actual bit rate being transmitted by the DUT. You can select from the following filtering options.

  • No Filtering - This option means that there is no noise filtering applied for PWM gears.
  • All Data Rates - This option means that the U4431A module applies the maximum possible filtering even when the DUT is transmitting at the maximum data rate from the data rate range defined for all PWM gears. This is the default setting and is suitable for most of the situations.
  • Rates < = 75% Max - This option means that the U4431A module applies more filtering than applicable for the All Data Rates option. However, for this option, the DUT should transmit at less than or equal to 75% of the maximum data rate from the data rate range defined for all PWM gears.
  • Rates < = 25% Max - This option means that the U4431A module applies more filtering than applicable for the Rates < = 75% Max option. However, for this option, the DUT should transmit at less than or equal to 25% of the maximum data rate from the data rate range defined for all PWM gears.
NOTE: PWM Filtering is applicable only to lane 0 of each sublink. The U4431A module does not perform PWM filtering for lanes 1-3. Therefore, to ensure that you get good data in case of multilane PWM configurations, enable terminations on the link when the link is in the PWM mode. This can usually be done by issuing a power mode request.

HS Profile

(Applicable only for an SSIC setup)

This option is displayed only when you install the SSIC license for the U4431A module. The option is enabled only when you select the Track Link Configuration Automatically option in this tab.

The HS Profile option has the following two components:

  • Gear - Allows you to set the HS Gear profile for the U4431A module. This setting is applicable for both sublinks in case of a bidirectional link configuration. The U4431A module can dynamically change to this profile in response to the changes in the probed link's configurations. For instance, you can set the initial burst mode as PWM Gear 1 in the Initial or current burst mode listbox and set the HS Profile to HS Gear 2. This will ensure that initially, PWM Gear 1 is used as the burst mode and then later HS Gear 2 is used in response to the probed link's configuration changes.

  • Width - This is a read-only field that displays the link width that you configured for the U4431A module in the Connection Setup tab. This link width profile is applicable for both sublinks in case of a bidirectional link configuration.

UniPro Spec Version

(Applicable only for a UniPro setup)

Allows you to select the version of the UniPro specifications based on which you want the U4431A module to decode and present the captured data. For instance, if you select the 1.6 version, you get an option to instruct the U4431A module on whether or not the data on a sublink is scrambled.

The listbox is visible only when you install the UniPro specific license.

Link Configuration
HS Rate

Select the data rate series at which you want the U4431A module to capture data in the High Speed (HS-Mode). The selected rate series is applicable for both sublinks in the HS-Mode.

As per the M-PHY specifications, the following two Data Rate series are available for selection:

  • A-Series
  • B-Series

The data rate applicable for various gears in these series is as per the data rate defined in the M-PHY specifications.

Link Configuration Tracking

Allows you to configure how you want to the U4431A module to track and act for the changes in the probed link configurations such as link speed and link width.

  • Track Link Configuration Automatically - Select this option to ensure that the U4431A module automatically tracks the probed link's configuration changes such as changes in sublink speed and width. On enabling this option, the U4431A module automatically changes its link configurations in response to the changes in the probed link's configurations. Such automatic tracking and adjustments in link configurations are then viewable in the data captured and displayed in the Protocol Viewer.
  • Lock Analyzer at Specified Link Configuration - Select this option to ensure that the link configurations such as sublink speed and sublink width of the U4431A module are fixed to the values that you currently selected in the Sublink Setup group box. On selecting this option, the U4431A module does not change its link configurations automatically in response to the changes in the probed link's configurations. When locked to a specific configuration, the U4431A module will capture data specific to only that configuration.
Sync on exit from hibern8 or power off

Select this checkbox to instruct the U4431A module to sync up to the DUT configurations on DUT's exit from the hibern8 or power off state.

This option is disabled and therefore fixed if you select the Lock Analyzer at Specified Link Configuration option. This option is enabled only when you have instructed the U4431A module to track and respond to the changes in the probed link configurations automatically.

Selecting this checkbox is particularly useful when the U4431A module is in the process of syncing to the DUT's configurations and you want to convey the hibern8 or power off state of DUT to the U4431A module. When you select this checkbox, the U4431A module gets to know about the hibern8 or powered off state of DUT and then consequently starts ignoring all data from the DUT until it detects the DUT's exit from HIBERN8.

To ensure that the dynamic changes to this checkbox take effect, you also need to click the Sync Analyzer to Link Configuration button after selecting/deselecting this checkbox.

NOTE: When the U4431A module completes its sync process, it can automatically track the DUT's entry and exit from hibern8.

Direction to monitor for configuration tracking

This option is available only when you have chosen to analyze both Tx and Rx sublinks (Both Sublinks option in the Connection Setup tab).

This option allows you to select the sublink that you want the U4431A module to monitor for tracking the link configuration requests.

Sublink setup

Raw Data Capture - The U4431A module can capture both protocol level and raw signal level data simultaneously. The raw data capture allows you to view the time-correlated 8b/10b data or 8b Deskewed data that underlies a protocol. This data can be displayed in the Waveform or Listing viewer, providing insight into how a packet is formed at the physical layer.

The Raw Data Capture group box contains the following fields to enable and set the raw data capture setting for a sublink.

Raw Data

You can choose to enable or disable the raw signal level data capture for the applicable sublink.

You can instruct the U4431A module to capture the raw signal level data by selecting the Enable checkbox displayed with the Raw Data field.

Depth

You can divide the total memory depth that is licensed and available for the U4431A module between the configured sublink(s) of the link. For each sublink, you further divide the allocated memory between the protocol level data acquisition and raw signal level data acquisition (if enabled).

From the Depth listbox, select the memory depth that you want to allocate to the acquisition of the raw signal level data for the sublink. This listbox is disabled if you deselect the Enable checkbox displayed with the Raw Data field.

You can allocate a value ranging from 64 KB to 4 GB as the raw data capture memory depth.

Mode

Select the mode of raw signal level data acquisition. You can select from the following options:

  • 8b Data - Select this option if you want to display 8b symbol data. Data will not be deskewed in this case.
  • 10b Data - Select this option if you want to display 10b raw data. Data will not be deskewed/descrambled in this case.
  • 8b Deskewed Data - Select this option if you want the acquired data to be deskewed and aligned across lanes.
  • 8B Descrambled and Deskewed Data - This option is applicable only for an SSIC setup. Select this option if you are expecting scrambled data on the sublink and want the U4431A module to descramble and deskew the acquired data. On selecting this option, the module will, however, descramble the acquired data only if the Data on link is scrambled checkbox is selected.

  • 8B Descrambled Data - This option is applicable only for an SSIC setup. Select this option if you are expecting scrambled data on the sublink and want the U4431A module to descramble the acquired data. On selecting this option, the module will, however, descramble the acquired data only if the Data on link is scrambled checkbox is selected.

Protocol Data Capture - The U4431A module can capture both protocol level and raw signal level data simultaneously. The protocol data capture allows you to view the protocol level data in the Protocol viewer, providing an insight into packet trace and packet debug.

The Protocol Data Capture group box contains the following fields to enable and set the protocol data capture setting for a sublink.

UniPro Data

(Applicable only for a UniPro setup)

You can choose to enable or disable the decoding and extraction of the UniPro protocol level data for the applicable sublink. You can instruct the U4431A module to decode and extract the UniPro protocol level data by selecting the Enable checkbox displayed with the UniPro Data field. If this checkbox is not selected, the UniPro protocol level data is not available for viewing in the Protocol Viewer tool of the Agilent Logic and Protocol Analyzer application.

This field is displayed only when you install the UniPro specific license for the U4431A module.

UFS Data

(Applicable only for a UFS setup)

You can choose to enable or disable the decoding and extraction of the UFS protocol level data for the applicable sublink. You can instruct the U4431A module to decode and extract the UFS protocol level data by selecting the Enable checkbox displayed with the UFS Data field. If this checkbox is not selected, the UFS protocol level data is not available for viewing in the Protocol Viewer tool of the Agilent Logic and Protocol Analyzer application.

This field is displayed only when you install the UniPro+UFS license for the U4431A module.

CSI-3 Data

(Applicable only for a CSI-3 setup)

You can choose to enable or disable the decoding and extraction of the CSI-3 protocol level data for the applicable sublink. You can instruct the U4431A module to decode and extract the CSI-3 protocol level data by selecting the Enable checkbox displayed with the CSI-3 Data field. If this checkbox is not selected, the CSI-3 protocol level data is not available for viewing in the Protocol Viewer tool of the Agilent Logic and Protocol Analyzer application.

This field is displayed only when you install the UniPro+CSI-3 license for the U4431A module.

SSIC Data

(Applicable only for an SSIC setup)

You can choose to enable or disable the decoding and extraction of the SSIC protocol level data for the applicable sublink. You can instruct the U4431A module to decode and extract the SSIC protocol level data by selecting the Enable checkbox displayed with the SSIC Data field. If this checkbox is not selected, the SSIC protocol level data is not available for viewing in the Protocol Viewer tool of the Agilent Logic and Protocol Analyzer application.

This field is displayed only when you install the SSIC license for the U4431A module.

Depth

You can divide the total memory depth that is licensed and available for the U4431A module between the configured sublink(s) of the link. For each sublink, you further divide the allocated memory between the protocol level data acquisition and raw signal level data acquisition (if enabled).

From the Depth listbox, select the memory depth that you want to allocate to the acquisition of the protocol level data for the sublink. This listbox is disabled if you deselect the Enable checkboxes displayed in the Protocol Data Capture section.

You can allocate a value ranging from 64 KB to 4 GB as the protocol data capture memory depth.

Sublink Configuration
Initial or current burst mode

Allows you to select the burst mode that you want the U4431A module to initially use for the sublink during the process of syncing to the DUT's link configurations. Once initially set, you can later use this listbox to dynamically change the burst mode of the sublink as and when you need. For such dynamic changes to take effect, you also need to click the Sync Analyzer to Link Configuration button after setting the burst mode.

In this listbox, by default, you get options to set:

  • HS Gear 1 or PVM Gear 1 to 7 for a UniPro/UFS/CSI-3 sublink.

  • HS Gear 1 or PVM Gear 1 for an SSIC sublink.

The HS Gear 2 and 3 are licensed options and are displayed only when you install the appropriate license.

If you select a PVM Gear, then the minimum and maximum range of bit rates defined for that PVM gear in the specifications are applicable for the sublink.

If you select an HS Gear, then the data rate defined for that gear in the selected HS Rate series is applicable for the sublink.

Initial or current link width

Allows you to select the link width that you want the U4431A module to initially use for the sublink during the process of syncing to the DUT's link configurations. Once initially set, you can later use this listbox to dynamically change the link width of the sublink as and when you need. For such dynamic changes to take effect, you also need to click the Sync Analyzer to Link Configuration button after setting the link width.

In this listbox, by default, you get the option to set x1 as the link width for a sublink. The x2 to x4 are licensed options and are displayed only when you install the appropriate license.

Notes:

  • The link width options displayed in this listbox also depend on the link width capabilities that you defined in the Sublink Width field in the Connection Setup tab. For instance, if you set the link width capabilities of a sublink as x2 in the Connection Setup tab, then only x1 and x2 options are displayed in the Initial or Current link width listbox.

  • For SSIC, only x1 is displayed as the link width option in case you select the PWM Gear 1 burst mode.

Initial or current data is scrambled

(Applicable only for a UniPro setup)

This checkbox is displayed only when you select the 1.6 option from the UniPro Spec Version listbox for a UniPro setup.

This checkbox allows you to instruct the U4431A module on whether or not the data on the sublink is scrambled initially during the process of syncing to the DUT's link configurations. Once initially set, you can later use this checkbox to dynamically instruct the module on scrambled data on the sublink. For such dynamic changes to take effect, you also need to click the Sync Analyzer to Link Configuration button after setting the scrambling.

When this checkbox is selected, the U4431A module enables descrambling for the scrambled data on the link.

Link Synchronization
Sync Analyzer to Link Configuration

Click this button to synchronize the U4431A analyzer module to the currently set link configurations such as current link width and current link speed.

On clicking this button, the current status of the sublink(s) in terms of their synchronization to current link configurations is displayed.

This option is particularly useful when you dynamically changed the sublink configurations using the Initial or current burst mode or Initial or current link width listboxes and want to synchronize the U4431A module to these changes.

Sync Status

Displays the current status of the U4431A sublink(s) in the context of its synchronization to the currently set link configurations.

A sublink can have one of the following link synchronization status:

  • In Sync - Indicates that the sublink is in sync to the current link configurations.
  • Off - Indicates that the sublink is not connected/active.
  • Syncing - Indicates that the U4431A sublink is currently in the process of syncing to the current link configurations. If it is taking too long to sync, it may indicate that the U4431A module is not able to sync to the currently set link configurations. In such a situation, you may want to check if the link configurations that you are trying to set are matching the DUT's configurations/capabilities.

The Sync Status is updated:

  • when you click the Sync Analyzer to Link Configuration button.
  • when you change one of the settings in the Setup dialog box that impacts the link configuration and then click Apply or OK.
  • or automatically when there is a change in the probed link configurations and you have instructed the U4431A module to automatically track and sync to such changes.

After you have configured the capture settings, save the settings in a Logic Analyzer configuration (.ala) file. To do this, click File > Save, select a location and name for the configuration file, select Standard Configuration (.ala) from the Save as type listbox and then click Save.


Trigger Overview

U4431A MIPI M-PHY Analyzer Online Help

Trigger - Overview

You can trigger the U4431A module to start storing the captured data in its memory when the specified trigger condition is met.

Using triggers, you can isolate events of interest in traffic. You can use triggers to detect errors at each layer of the protocol. You can set triggers for:

  • Specific UniPro/UFS/SSIC/CSI-3 packet types (based on the protocol license(s) you have installed)
  • Physical layer triggers - Currently Crc, disparity, and symbol errors are supported.
  • Occurrence counter
  • Global counter
  • Timer

You can set a Simple or an Advanced trigger.

  • Simple trigger - A simple trigger allows you to quickly set up a trigger without getting involved into setting up multi-level sequenced steps for the trigger. In this type of trigger, you can include one or more trigger events whose occurrence causes the module to trigger the storage of the captured data.

  • Advanced trigger - An advanced trigger allows you to set up a complex multi-level sequenced trigger. In an advanced trigger, you can include multiple steps. In each step, you can define one or more trigger events and the action that should be performed with the occurrence of that event.

See Also

  • Trigger Settings

  • To set up a Simple Trigger

  • To set up an Advanced Trigger


Trigger Settings

Based on the type of trigger (Simple or Advanced) that you are setting up, a trigger setup may be comprised of a trigger position, type, mode, store qualification, condition(s), and action. All these components of a trigger are set up using the fields displayed in the Trigger dialog box.

You access the Trigger Dialog box by selecting Setup>Trigger.... from the Agilent Logic and Protocol Analyzer GUI's menubar.

The following table has descriptions of all the fields available in this dialog box for setting up a simple or an advanced trigger. (See Triggering based on Packet Types, To set up a Simple Trigger, and To set up an Advanced Trigger for more information.)

Field

Description

Link tabs

The top of the Trigger dialog box allows you to add tabs that let you set up separate triggers for different MIPI M-PHY links. You can add tabs using the [image] icon and then apply these tabs to different links that are set up in the Connection Setup tab of the Setup dialog box.

Applies to

Displays the MIPI M-PHY links that are set up in the Connection Setup tab of the Setup dialog box. Selecting one ore more links from the Applies to drop-down listbox applies the trigger settings in the current tab page to the data captured on the selected links.

Trigger Position

Defines the trigger position within the acquisition memory of the U4431A module. The selected trigger position on the slider sets the pre and post trigger memory ratio. By default, the available acquisition memory is equally divided between the pre and post trigger memory.

Favorite Triggers

Displays a drop-down menu for:

  • opening a previously saved trigger setup.

  • saving the currently configured trigger setup in a Trigger Setup (.trg) file.

  • viewing and accessing a list of recently accessed trigger setup files.

Note: The favorite trigger setups referred in this drop-down menu are different from the favorites list that appear in the left-side events pane. In the left pane, the list of favorites refer to the favorite trigger events that you added, edited, and saved to the favorites list using the Event Editor dialog.

Clear

Clears the current trigger settings that you configured in the current tab and restores the default settings.

For setting up a Simple Trigger - The following fields are applicable for a simple trigger.

Simple Trigger

Select the Simple Trigger radio button. Selecting this radio button displays the fields relevant for setting a simple trigger in the Trigger dialog box. These fields are described below.

List of events

In the left pane of the Trigger dialog box, an expandable list of events is displayed based on the protocol family (M-PHY, UniPro, UFS, SSIC, or CSI-3) currently active for the U4431A module. The events in this list are organized based on categories such as:

  • Types of packet - Displayed on the basis of the protocol license(s) you have installed.
  • Physical Layer triggers - The transmission of an erroneous packet, for instance, with Crc, symbol, or disparity error sets the trigger.
  • Arming - The U4431A module can receive triggers from another module installed in the AXIe chassis or another device with which it is connected via the Trigger in Connector on the AXIe chassis.

You can select one or more of these events to act as trigger condition(s).

Trigger Mode

  • Select the Trigger on Packets or Ordered Sets radio button to ensure that the U4431A module is triggered on the occurrence of the trigger event(s) included in the Select the Trigger(s) to use section.

  • Select the Trigger when Stop button pressed radio button to ensure that the U4431A module is triggered to store the captured data when you click the Stop button to stop the data capture. On selecting this option, the trigger events are not applicable. Therefore, the Select the Trigger(s) to use section is disabled.

Select the Trigger(s) to use

  • Trigger on any of these events - You can drag events from the list of events displayed in the left pane and drop these events in this section. The U4431A module is triggered on the occurrence of any of the events included in this section.

  • While ignoring any of these events - You can drag events from the list of events displayed in the left pane and drop these events in this section. The U4431A module is not triggered on the occurrence of any of the events included in this section.

To edit events included in the above-mentioned sections, click the underlined event name. This displays the Event Editor dialog box to let you edit the event properties or add the event to the list of favorite events.

To remove events from the above-mentioned sections, click the "X" displayed to the left of the event name.

For setting up an Advanced Trigger- The following fields are applicable for an advanced trigger.

Advanced Trigger

Select the Advanced Trigger radio button. Selecting this radio button displays the fields relevant for setting an advanced trigger in the Trigger dialog box. These fields are described below.

List of events

In the left pane of the Trigger dialog box, an expandable list of events is displayed based on the protocol family (M-PHY, UniPro, UFS, SSIC, or CSI-3) currently active for the U4431A module. The events in this list are organized based on categories such as:

  • Type of packet - Displayed on the basis of the protocol license(s) you have installed.
  • Physical Layer triggers - The transmission of an erroneous packet, for instance, with Crc, symbol, or disparity error sets the trigger.
  • Timers, counters, and flags - Sets trigger on a timeout or the expiry of a counter. The U4431A module can also receive triggers from another module installed in the AXIe chassis or another device with which it is connected via the Trigger in Connector on the AXIe chassis. The Arm In from event is used in such a situation.
  • Comment - Allows you to add comments to your advanced trigger setup.

You can select one or more of these events to act as trigger condition(s).

Select the Trigger(s) to use

By default, this section displays a single step with an If - then specification for the trigger condition and a subsequent action. If required, you can add more steps (maximum eight) in this section to set up a complex multi-level sequenced trigger.

This section has the following fields:

  • The Step button allows you to add or delete steps from the sequence.

  • The If/Else if buttons let you insert additional If clauses in the same step or delete an additional "if" clause from the step.

  • To add multiple conditions / actions for a step, drag the required event from the list of events in the left pane and drop it to the step box.

  • The event chevron buttons let you insert, delete, or logically group (or negate) events.

  • The action chevron buttons let you insert or delete actions.

See Also

  • Trigger Overview

  • To set up a Simple Trigger

  • To set up an Advanced Trigger


To set up a Simple Trigger

  1. In the Agilent Logic and Protocol Analyzer GUI's Overview window, click the M-PHY module and select Setup>Trigger.... from the drop-down menu. Alternatively, click the [image] icon displayed for the M-PHY module.

The Trigger dialog box is displayed.

  2. From the Applies to listbox, select the MIPI M-PHY link(s) to which you want to apply the trigger settings.

  3. If required, use the Trigger Position slider to change the default trigger position (50%) for the allocation of pre and post trigger memory.

  4. Select the Simple Trigger radio button. All simple trigger related fields are then displayed.

  5. Select the Trigger Mode. On selecting the Trigger on Packets or Ordered Sets radio button, the Select the Trigger(s) to use section is displayed in which you can add trigger events. For the Trigger when Stop button is pressed option, trigger events are not applicable. Therefore, you cannot add any trigger events on selecting this option.

  6. Drag and drop the desired trigger event(s) from the event list in the left pane to the Trigger on any of these events section on the right.

  7. To change an added trigger event's properties, click that event's underlined name in the Trigger on any of these events section.

  8. To delete an added trigger event from the Trigger on any of these events section, click the X to the left of the event name.

  9. From the event list in the left pane, drag the required events that you want to exclude and drop these in the While ignoring any of these events section.

  10. Click Apply.

  11. To save the currently configured trigger setup in a Trigger Setup (.trg) file, click the Favorite Triggers button and then select the Save option from the displayed drop-down menu.

  12. Click OK.

Trigger Example

The following trigger setup aims at triggering the U4431A module on the transmission of any UniPro/UFS packet with Crc, symbol, or disparity error.

See Also

  • Trigger Overview

  • Trigger Settings

  • To set up an Advanced Trigger


To set up an Advanced Trigger

  1. In the Agilent Logic and Protocol Analyzer GUI's Overview window, click the M-PHY module and select Setup>Trigger.... from the drop-down menu. Alternatively, click the [image] icon displayed for the M-PHY module.

The Trigger dialog box is displayed.

  2. From the Applies to listbox, select the MIPI M-PHY link(s) to which you want to apply the trigger settings.

  3. If required, use the Trigger Position slider to change the default trigger position (50%) for the allocation of pre and post trigger memory.

  4. Select the Advanced Trigger radio button. All advance trigger related fields are then displayed.

  5. As per your specific requirements:

    1. Edit the default step (Step 1) to select the trigger condition and action in the If-Then clause.

    2. Add more If-Then clauses to a step by clicking the If/Else If button in the step.

    3. Add more than one And/Or condition to an If clause of a step by clicking the [image] button for events. You can also negate a condition by selecting the Insert Not at beginning of row option from the [image] drop-down menu.

    4. Add more than one action to Then clause of a step by clicking the [image] button for actions.

    5. Add more steps before or after a step by clicking a Step button.

  6. Click Apply.

  7. To save the currently configured trigger setup in a Trigger Setup (.trg) file, click the Favorite Triggers button and then select the Save option from the displayed drop-down menu.

  8. Click OK.

Trigger Example

The following trigger setup aims at triggering the U4431A module on the transmission of a preempted AFC0 UniPro packet at HS Gear 1 speed.

See Also

  • Trigger Overview

  • Trigger Settings

  • To set up a Simple Trigger


Triggering based on Packet Types

You can configure the U4431A module to trigger on any or specific packet types. The packet types displayed in the simple and advanced trigger dialogs depend on the license(s) that you have installed. For instance, if you have the SSIC license installed, the SSIC-specific packet types are displayed. In case you have the UniPro and UFS license installed, the packet types for both UniPro as well as UFS are displayed.

In a simple trigger

To trigger on “any packet” of the applicable protocol

For UniPro | Drag and drop the Any frame option from the UniPro Packet Types list in the left pane of the Trigger dialog.
For UFS | Drag and drop the Any Packet option from the UFS Packet Types list in the left pane of the Trigger dialog.
For SSIC | Drag and drop the Any Packet option from the left pane of the Trigger dialog.
For CSI-3 | Drag and drop the Any Packet option from the CSI-3 1.0 list in the left pane of the Trigger dialog.

To trigger on specific packet(s) of the applicable protocol

For UniPro | Drag and drop specific packet type(s) from the UniPro Packet Types list in the left pane of the Trigger dialog.
For UFS | Drag and drop specific packet type(s) from the UFS Packet Types list in the left pane of the Trigger dialog.
For SSIC | Drag and drop specific packet type(s) from the left pane of the Trigger dialog.
For CSI-3 | Drag and drop specific packet type(s) from the CSI-3 1.0 list in the left pane of the Trigger dialog.

In an advanced trigger

  • If you have the UniPro and UFS license, by default, a step added in an advanced trigger has the Any Frame option selected as the packet type. Any Frame, in this case represents any UniPro frame.

In an advanced trigger step, if you want to configure a trigger on a specific UniPro frame or a specific UFS packet, simply drag and drop that frame/packet from the UniPro Packet Types/ UFS Packet Types lists in the left to the Any Frame option in the step.

  • For SSIC, by default, a step added in an advanced trigger has Any packet selected as the packet type. Any packet, in this case represents any SSIC packet. If you want to trigger on a specific SSIC packet, you can drag and drop any SSIC packet from the left to the Any Packet option in the step.

  • If you have the UniPro/CSI-3 license, by default, a step added in an advanced trigger has Any frame selected as the packet type. Any Frame in this case represents any UniPro frame. If you want to trigger on a specific UniPro frame or a specific CSI-3 packet, simply drag and drop that frame/packet from the UniPro Packet Types/ CSI-3 lists in the left to the Any Frame option in the step.

See Also

  • Trigger Settings

  • To set up a Simple Trigger

  • To set up an Advanced Trigger


Starting and Stopping the Data Capture

Once the capture setup and trigger setup are ready, you can start capturing the M-PHY data.

To start the data capture, choose Run/Stop>Run from the Logic and Protocol Analyzer GUI's menubar. Alternatively, click the [image] icon from the toolbar.

For more information, see the Running/Stopping Measurements topic in the Logic and Protocol Analyzer Online Help.

On starting data capture, the Status section at the bottom of the Logic and Protocol Analyzer GUI is updated to reflect the current status of the data capture procedure.

The status moves from the Processing, Running,Waiting, and finally to Filling Memory state.

Capture Status | Description
Processing | The module is processing the data capture settings to initiate data capture.
Running | The U4431A module is now in the Running state to capture M-PHY data.
Waiting | The U4431A module is waiting for the trigger condition to meet to start data capture.
Filling Memory | The trigger condition is met. The U4431A module is now triggered to start storing the captured data in its memory.

To stop the data capture, click the [image] icon from the toolbar.


Viewing and Analyzing Captured Data

This help book provides information on how to view and analyze the captured M-PHY data for testing and debugging purposes using various viewers available in the Agilent Logic and Protocol Analyzer GUI.


Overview

After you have captured M-PHY data using the U4431A module, you can view and analyze this data in the Agilent Logic and Protocol Analyzer GUI in the following two modes:

  • Online - In the Online mode, the U4431A hardware is still connected and needed for viewing the captured data.

  • Offline - For the Offline mode, you can save the captured data and configurations in a Logic Analyzer configuration file (.ala extension). You can later load this file in the Logic and Protocol Analyzer GUI to view and analyze data offline (without the U4431A module connected).

You can also export the captured data to CSV format files for offline viewing and analysis in applications other than the Logic and Protocol Analyzer GUI.

For viewing the captured data in online or offline mode, various viewers are available in the Logic and Protocol Analyzer GUI. Each viewer has its own set of features for the presentation of captured data and is useful for specific situations.

Viewer | Usage | Notes
Protocol Viewer | To view protocol level packet data. Packet details are organized and viewable in different forms using different views available in Protocol Viewer | An instance of Protocol Viewer is automatically added and available in the Logic and Protocol Analyzer GUI when you create a new session of the U4431A module.
Waveform Viewer | To view both packet as well as raw signal data. | An instance of Waveform Viewer is automatically added and available in the Logic and Protocol Analyzer GUI when you create a new session of the U4431A module.
Listing | To view raw signal level data | If needed, you can add instance(s) of this viewer to the U4431A module by selecting New Window > Listing option in the Overview pane.

In the above screen, a Protocol Viewer and a Waveform Viewer are already added on starting a new session. A Listing viewer can be added manually.

The topics that follow describe how to use each of the available viewers for viewing and analyzing captured data.

The information about viewers in the following topics is specific to viewing and analyzing M-PHY data. To get general information about a viewer, its fields, or how to use it, refer to the topics in Reference > Windows section of the Logic and Protocol Analyzer Online Help.


Viewing M-PHY Packet Data Using the Protocol Viewer Display

The information about the Protocol Viewer in this topic is specific to viewing and analyzing M-PHY packets. To get general information about the Protocol viewer, its fields, or how to use it, refer to the following topics in the Logic and Protocol Analyzer Online Help.

- Reference > Windows > Protocol Viewer Display Window

- Analyzing the Captured Data > Analyzing Packet Data

The Protocol Viewer window provides various ways of viewing the captured M-PHY packet data. You can view summarized as well as detailed packet information at the same time within the upper and lower panes in this window.

The upper pane of the Protocol Viewer displays a summarized list of captured M-PHY packets. The Protocol Viewer window is customized for the protocol family being decoded. For a M-PHY packet, it displays the M-PHY related decoded fields. In the following screen, the captured packet details specific to the UniPro protocol are displayed.


Viewing Packet Data Specific to a Protocol

The U4431A module supports acquisition and decoding of the M-PHY, UniPro, UFS, SSIC, and CSI-3 protocols depending on which licenses you have installed.

From the captured data, if required, you can view packet data specific to a U4431A supported protocol in the Protocol Viewer.

The Show listbox at the top in the Protocol Viewer displays the currently active licensed protocol options.

Selecting a protocol option from this listbox displays the captured data specific to only that protocol in the Protocol Viewer window. In the following screen, selecting the UFS protocol from the Show listbox displays the UFS specific captured data.


Viewing Preempted Data

If you enabled preemption support for the U4431A module in the Analyzer Setup tab, you can view the captured frames that have been preempted by the module in the Protocol Viewer. If the preemption support is not enabled for the module, then for all the captured frames, the Preempting field is set to No to indicate that the frames have not been preempted.

The preemption support is not applicable for an SSIC setup.

The following screen displays a sample preempted frame with the Preempting field set to Yes to indicate that the frame has been preempted.


Identifying HS and PWM Data Transmissions

From the captured trace, you can identify the transmission in HS or PWM modes. The Gear column in the upper pane of the Protocol Viewer displays the burst mode and gear applicable for each packet in the captured trace.


Viewing the Decoded Payload for a Packet

The Payload tab displays the decoded payload for the packet currently selected in the upper pane of the Protocol Viewer.

The following screen displays the payload of a UniPro TC0 Data Frame.

For CSI-3 image packets, the Payload tab displays the image’s pixel bytes data. The payload of an RGB format CSI-3 image packet is shown below.

Changing Decode Settings for CSI-3 RAW Image Payload Data

For CSI-3 RAW image formats, the Payload tab also provides the Change Image Decode Settings button. By default, RGB presets are used for decoding the payload of CSI-3 RAW image formats. However, you can use the Change Image Decode Settings button to select different decode settings for the image payload data. Clicking this button displays the Raw Image Decode Settings dialog box.

For RAW formats, a number of preset options such as RGB, YMC, CMY, and Bayer decoding are available in the Raw Image Decode Settings dialog box. Based on the decode settings that you select in this dialog box, the image’s payload data is recalculated in the Payload tab. The changed settings are also applicable while extracting an image in the Image View tab.


Viewing the Byte-wise Transmission of M-PHY Data

The Bytes tab in the lower pane of the Protocol Viewer provides a byte-wise view of the header and payload data of a packet.

The bytes data in this tab is spread across rows to display the bytes data for header followed by the bytes data for payload (if applicable).

When you select a packet listed in the upper pane of Protocol Viewer, its raw data spread across bytes used for its transmission is displayed in the Bytes tab.

The data displayed in the Bytes tab does not represent the lane-wise view of bytes. This tab does not show the bytes spread across the lanes on which the bytes were transmitted.

If you want to view the lane-wise transmission of raw data, you use the Waveform Viewer display. In this Viewer, you can see the raw data spread across the lanes used for its transmission. For this data to be acquired and displayed in Waveform Viewer, ensure that the Raw Data checkbox is selected in the Analyzer Setup dialog box prior to data acquisition. To know more, refer to the topic Viewing Lane-wise Transmission of Raw Data.

In the following figure, the data of a DATA_OUT UFS packet spread across the bytes used for its transmission is displayed. The red and blue highlights in this screen indicate the packet's header and payload data respectively.

You can toggle the visibility of the Bytes tab using the Toggle Byte Pane Visibility [image] toolbar button displayed in the Protocol Viewer toolbar.


Viewing the Captured M-PHY Traffic Statistics

The Traffic Overview tab in the lower pane of the Protocol Viewer provides an overview of the M-PHY traffic listed in the upper pane. It provides a count of various types of captured M-PHY packets categorized on the basis of the type of packet. It also displays the count of M-PHY packet errors.

To view M-PHY traffic statistics

  1. Click the Traffic Overview tab.
  2. In the Data Range group box, specify the range of data (from the upper pane) for which you want to compute and display traffic statistics. You can also select markers set in the upper pane for defining the data range.
  3. Select the Include Errors checkbox if you want a count of errored packets to be included and displayed in the traffic statistics.
  4. Click Compute.

Traffic statistics are displayed for the selected data range. The left pane lists the packet types for the applicable protocol. Selecting a packet type from this list displays the total number of packets in the data range for that packet type.

  5. Use the Navigation section in the Traffic Statistics tab to navigate through the packets of a particular type in the upper pane.
    1. Select a packet type from the right pane of Traffic Statistics.
    2. In the Navigation section text field, specify the packet occurrence to which you want to navigate in the upper pane.
    3. Click Go.

The specified packet occurrence is highlighted in the upper pane.

The last packet type Errors listed in the left pane displays the count for the errored packets categorized on the basis of errors types. This error count is displayed only if you selected the Include Errors checkbox before computing traffic statistics.


Extracting Images from the Packet Data

You can use the Image View tab in the lower pane of the Protocol Viewer to display images constructed from the captured packet data. The Image View tab lists all the “Start of Frame” locations for images found in the captured data range specified by you. An image can be constructed from a selected “Start of Frame”.

The Image View tab is available in the lower pane of the Protocol Viewer window only if the following two prerequisites are met

  • the CSI-3+UniPro license is installed for the U4431A module.

  • CSI-3 is selected as the protocol in the Show listbox at the top of the Protocol Viewer. For other protocols, the Image View is not applicable.

All data formats in the CSI-3 specifications are supported for image construction in the Image View tab.

To extract an image

  1. Click the Image View tab.

  2. In the Data Range fields, select the range of the captured data from which the Start of Frame locations are to be displayed.

  3. From the Display Time as section, you can choose to display the Start of Frame locations with their absolute time or the time relative to their previous frames. The default selection is Absolute.

  4. Click Find.

All the “Start of Frame” locations from the captured data as per the data range specified by you are listed in the Image View tab.

  5. Select a start of frame from the displayed list and click the Show Image button to get an image constructed from the selected start of frame.

If you have the appropriate license, the image is constructed and displayed in the Extracted Image dialog box. The constructed image’s attributes such as width, height, format, and decoding options are also displayed.

A test image constructed from the start of frame 0 (sample number 0) is displayed in the following screen.

In the Extracted Image dialog box, you can use the [image] buttons to construct and display an image from the first, next, previous or last Start of Image Frame locations currently listed in the Image View tab.

The Extracted Image dialog box also provides you four background patterns [image] for the displayed image.

Saving the Extracted Image

Once the extracted image is displayed in the Extracted Image dialog box, the following two options are available for saving this image:

  • Save Binary - This button is displayed only if the extracted image is in a RAW format. Using this button, you can save the image’s pixel bytes in a binary (.bin) file. This allows you to save the raw image payload data that was originally captured by the U4431A module. This raw image payload data excludes any modifications that are made as a result of the color information calculation and decoding the image.

  • Save Image - This button is available for all image formats. It allows you to save the decoded image as a .bmp file. For an image with a RAW format, this button allows you to save the modified image that resulted from the color information calculations and decoding.

Changing the Decoding Options for the Extracted Image

By default, an image is decoded and displayed in the Extracted Image dialog box as per the image decoding options set in the Payload tab. If required, you can change the decoding options for the displayed image to redisplay it as per the changed decoding options.

To change the decoding options of an extracted image

  1. Click the Change the decoding options [image] button displayed in the Extracted Image dialog box.

The Raw Image Decode Settings dialog box is displayed.

  2. Change the decoding options as needed. To know more, refer to the topic Changing Decode Settings for CSI-3 RAW Image Payload Data.

Exporting the list of “Start of Frames” locations to a CSV File

You can also export the list of Start of Frames locations to a CSV file by clicking the Export list to CSV button. On clicking this button, a CSV file is generated. The list of “start of frames” displayed for the specified range of captured data is exported to this CSV file. The timestamps of the start of frames list exported to this CSV file are absolute regardless of the time stetting (Absolute or Relative to previous frame) that you have selected in the Image View tab.

The following screen displays a sample CSV file with the exported start of frames list.

If you want to export the protocol data displayed in the upper pane of the Protocol Viewer to a CSV file, you can use the Export to CSV toolbar button displayed at the top of Protocol Viewer.

The output CSV file has data matching the fields and their sequencing currently displayed in the upper pane of the Protocol Viewer.


Viewing Packet and Raw Signal Data using the Waveform Viewer

The information about the Waveform Viewer in this topic is specific to viewing and analyzing M-PHY data. To get general information about the Waveform Viewer, its display, or how to use it, refer to the following topics in the Logic and Protocol Analyzer Online Help.

- Reference > Windows > Waveform Display Window

- Analyzing the Captured Data > Analyzing Waveform Data

You can view the captured M-PHY data (both packet data as well as raw signal data) as a digital waveform in the Waveform Viewer. The captured bus/signal data is displayed in a time based waveform as transmitted on the link. The Waveform view is useful in situations where you want to get an overview of the M-PHY link transitions.

The display of raw data in the Waveform Viewer depends on whether or not you enabled the Raw data capture feature in the Analyzer Setup tab prior to data acquisition.

Understanding Waveform Viewer Display for M-PHY Data

A waveform display primarily displays the acquired M-PHY data as follows.

  • The first row in the waveform area is the captured M-PHY/UniPro/SSIC packet name.

  • The second row in the waveform area is the applicable UFS/CSI-3 packet name if the UFS/CSI-3 data is captured. For a bidirectional link, this is followed by the captured M-PHY/UniPro/SSIC packet name in the other direction.

  • After the packet name(s), various link configuration settings as detected across the timeline are displayed such as:

  • the current state of link

  • burst mode

  • rate series

  • link width

  • whether or not data is deskewed (1 represents deskewed and 0 represents skewed)

  • whether or not data is scrambled (1 represents descrambling is enabled for scrambled data and 0 represents descrambling is disabled)

  • whether or not there is a symbol error (1 represents a symbol error in the data and 0 represents no symbol error)

  • whether or not there is a disparity error (1 represents a disparity error in the data and 0 represents no disparity error)

  • The link configurations are followed by the captured lane-wise signal data values for a sublink. This includes symbol, 8b encoded, and 10b encoded data. For a bidirectional setup, the data for one sublink is followed by the data for the other sublink.

If needed, you can hide a specific information about the captured data from the waveform display by right-clicking on the information row on the left and selecting Delete Row.

In the following screen, the data for the DATA IN UFS packet (TC0 Data Frame UniPro packet) is displayed in Waveform Viewer.

You can correlate the data displayed in the waveform with the relevant packet(s) in the Protocol Viewer. The following screen displays the correlated packet data for the signal data displayed in the above screen.


Viewing the Lane-wise Transmission of Raw Data

In the Waveform Viewer, you can view raw data organized as per the data lanes on which it was transmitted.

For instance, in the following screen, the raw data for SSIC packets is displayed across the four lanes D0 to D3 used for its transmission. In this example, each row of data in the highlighted section of the Waveform Viewer represents the data transmitted on the lane indicated through the row's label.

The lane-wise display of data can be skewed or deskewed based on the Raw Data Capture Mode that you selected in the Analyzer Setup tab prior to data acquisition.

The display of raw data for each lane in the Waveform Viewer depends on whether or not you enabled the Raw data capture feature in the Analyzer Setup tab prior to data acquisition.


Viewing Deskewed and Descrambled Data

Deskewing the Acquired Data

By default, the U4431A module deskews the acquired data because the default selection for the Raw Data Capture Mode is 8b Desrambled and Deskewed Data in case of SSIC and 8b Deskewed Data in case of UniPRo/UFS/CSI-3.

To enable deskew for the data to be acquired

  1. Access the Analyzer Setup tab of the Setup dialog box.

  2. From the Raw Data Capture Mode listbox,

  • select the 8b Deskewed Data option for UniPro/UFS/CSI-3.

  • select the 8b Desrambled and Deskewed Data option for SSIC.

To view deskewed data

  1. Display the Waveform Viewer window.

  2. Look for the DESKEWED row in the Waveform Viewer. Notice that, in the following example, the DESKEWED value is displayed as 1 indicating that the deskewing is enabled. The deskewed data at the start of a burst across the three lanes (D0, D1, and D2) is also highlighted in this example.

Descrambling the Scrambled Data

Descrambling is applicable only for an SSIC setup. By default, the U4431A module descrambles the scrambled data on the link because by default, the Data on link is scrambled checkbox is selected in the Analyzer Setup tab.

To enable descrambling for the scrambled data

  1. Access the Analyzer Setup tab of the Setup dialog box.

  2. Ensure that the following two options are selected:

  • the Data on link is scrambled checkbox is selected

  • the 8b Desrambled and Deskewed Data option or the 8b Descrambled Data option is selected from the Raw Data Capture Mode listbox.

To view descrambled data

  1. Display Waveform Viewer.

  2. Look for the SCRAMBLED row in the Waveform Viewer. Notice that, in the following example, the SCRAMBLED value is displayed as 1 indicating that the data on the link is scrambled for which descrambling has been enabled. The descrambled data across lanes is also highlighted in red in this example.


Tracking and Viewing Link States in Captured Data

In the Waveform Viewer, you can track and view the changes in the link's state of the acquired data. The LINK_STATE row in the Waveform Viewer displays the link's transitions from one state to another across the timeline of the acquired data.

In case of a bidirectional acquisition, the state of Transmit and Receive sublinks is displayed separately.

In the following screen, the row displaying the link state is highlighted.


Viewing Time Synchronized Protocol Data in Display Windows

For analysis or debugging, you may want to view the captured data in a display window along with its related protocol/signal data in another window such that the displays are time synchronized for ease of mapping and viewing related data. One such situation can be viewing UniPro protocol data in a Protocol Viewer and the related UFS protocol data in another Protocol Viewer. Or, viewing SSIC protocol data in a Protocol Viewer and its related signal data in a Waveform Viewer.

In such situations, you can use the Lockstep windows feature to ensure that when a Protocol Viewer window is scrolled, other lockstepped windows are automatically scrolled as well, such that the same time is centered in each lockstepped display window. This allows you to easily map and view correlated data in multiple display windows.

You can lockstep a Protocol Viewer window with display windows such as another Protocol Viewer, Waveform, Listing, or Compare.

Some examples of using the lockstep feature with the data captured using U4431A are described below.

To lockstep UniPro protocol data with UFS protocol data

  1. In the Overview window, ensure that you have added two instances of Protocol Viewers, one for the UniPro data and another for UFS data.

  2. Ensure that each of the Protocol Viewer instance shows the data specific to the protocol for which it was created. Use the Show button in Protocol Viewer to show data specific to a protocol.

  3. From the Protocol Viewer toolbar, click the [image] Lockstep Windows toolbar button.

  4. In the Lockstep Windows dialog, select the other instance of Protocol Viewer with which you want to synchronize scrolling and specify any time offset from this window. For instance, from the UFS Protocol Viewer instance, select the UniPro Protocol Viewer instance.

  5. Click OK to close the Lockstep Windows dialog.

Once the windows are lockstepped, scrolling or moving to a specific marker in the lockstepped window automatically scrolls the other window to the appropriate location.

Similarly, you can lockstep a Protocol Viewer window with a Waveform Viewer window to ensure that when you scroll in Waveform Viewer window, protocol data in Protocol Viewer is scrolled. The following screen shows a synchronized display of SSIC data in Protocol Viewer and Waveform Viewer windows using Lockstep feature.


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.